%global srcname Imath
%global sover 29
%global pyver_under %(%{python3} -Esc "import sys; sys.stdout.write('{0.major}_{0.minor}'.format(sys.version_info))")

Summary:       Library of 2D and 3D vector, matrix, and math operations for computer graphics
Name:          imath
Version:       3.1.9
Release:       5%{?dist}
License:       BSD
URL:           https://github.com/AcademySoftwareFoundation/%{srcname}
Source0:       %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

Patch3000:     imath-python-test.patch

BuildRequires: cmake gcc gcc-c++ make boost-devel python3-devel python3-numpy python3-breathe

%description
Imath is a basic, light-weight, and efficient C++ representation of 2D and 3D vectors and matrices
and other simple but useful mathematical objects, functions, and data types common in computer
graphics applications, including the “half” 16-bit floating-point type.

%package -n python3-%{name}
Requires:       %{name} = %{version}-%{release}
Summary:        Python module for Imath

%description -n python3-%{name}
Library of 2D and 3D vector, matrix, and math operations for computer graphics.

%package devel
Summary:        Development files for Imath
Requires:       %{name} = %{version}-%{release}
Requires:       python3-%{name} = %{version}-%{release}
Requires:       boost-devel
Requires:       python3-devel

%description devel
Library of 2D and 3D vector, matrix, and math operations for computer graphics.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%cmake  \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DPYTHON=ON \
    -DDOCS=ON \
    -DINSTALL_DOCS=OFF \
    --trace-source=docs/CMakeLists.txt \
    %{nil}

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.md
%doc CHANGES.md CODE_OF_CONDUCT.md CONTRIBUTING.md CONTRIBUTORS.md README.md SECURITY.md
%{_libdir}/libImath-3_1.so.%{sover}*

%files -n python3-%{name}
%{_libdir}/libPyImath_Python%{pyver_under}-3_1.so.%{sover}*
%{python3_sitearch}/imath.so
%{python3_sitearch}/imathnumpy.so

%files devel
%{_includedir}/Imath/
%{_libdir}/pkgconfig/Imath.pc
%{_libdir}/pkgconfig/PyImath.pc
%{_libdir}/cmake/Imath/
%{_libdir}/libImath.so
%{_libdir}/libImath-3_1.so
%{_libdir}/libPyImath_Python%{pyver_under}-3_1.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.9-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.9-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.9-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.9-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Shuo Wang <abushwang@tencent.com> - 3.1.9-1
- update to 3.1.9

* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 3.1.4-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 1 2023 Shuo Wang <abushwang@tencent.com> - 3.1.4-1
- initial build
